Bug 196588 - Package contains no SNMP Plugins
Package contains no SNMP Plugins
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 09:47 EDT by Herbert Straub
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.4-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 00:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable snmp Plugins (2.05 KB, patch)
2006-06-25 09:47 EDT, Herbert Straub
no flags Details | Diff

  None (edit)
Description Herbert Straub 2006-06-25 09:47:36 EDT
Description of problem:

The RPM contains no SNMP Plugins, because they removed in the package build
phase. I found the following sequenz in munin.spec

#
# remove the Net::SNMP and Sybase plugins for now, as they need perl modules
# that are not in extras. We can readd them when/if those modules are added.
#
rm -f %{buildroot}/usr/share/munin/plugins/pm3users_
rm -f %{buildroot}/usr/share/munin/plugins/snmp_*
rm -f %{buildroot}/usr/share/munin/plugins/sybase_space

I think, there is no problem with the required Net::SNMP Perl module. I patched
the munin.spec file and can install the new munin-node package and the snmp__if_
plugin works without problems. Here my patch:

--- munin.spec.ORIG	2006-06-24 18:54:44.000000000 +0200
+++ munin.spec	2006-06-24 19:30:32.000000000 +0200
@@ -1,6 +1,6 @@
 Name:      munin
 Version:   1.2.4
-Release:   8%{?dist}
+Release:   9%{?dist}
 Summary:   Network-wide graphing framework (grapher/gatherer)
 License:   GPL
 Group:     System Environment/Daemons
@@ -36,7 +36,7 @@
 Group: System Environment/Daemons
 Summary: Network-wide graphing framework (node)
 BuildArchitectures: noarch
-Requires: perl-Net-Server
+Requires: perl-Net-Server perl-Net-SNMP
 Requires: procps >= 2.0.7
 Requires: sysstat
 Requires(pre):		fedora-usermgmt >= 0.7
@@ -86,7 +86,7 @@
 	DOCDIR=%{buildroot}%{_docdir}/%{name}-%{version} \
 	MANDIR=%{buildroot}%{_mandir} \
 	DESTDIR=%{buildroot} \
-    	install-main install-node-non-snmp install-node-plugins install-doc
install-man
+    	install-main install-node install-node-plugins install-doc install-man
 
 mkdir -p %{buildroot}/etc/rc.d/init.d
 mkdir -p %{buildroot}/etc/munin/plugins
@@ -110,8 +110,8 @@
 # remove the Net::SNMP and Sybase plugins for now, as they need perl modules 
 # that are not in extras. We can readd them when/if those modules are added. 
 #
-rm -f %{buildroot}/usr/share/munin/plugins/pm3users_
-rm -f %{buildroot}/usr/share/munin/plugins/snmp_*
+#rm -f %{buildroot}/usr/share/munin/plugins/pm3users_
+#rm -f %{buildroot}/usr/share/munin/plugins/snmp_*
 rm -f %{buildroot}/usr/share/munin/plugins/sybase_space
 
 ## Server
@@ -208,6 +208,7 @@
 %{_sbindir}/munin-run
 %{_sbindir}/munin-node
 %{_sbindir}/munin-node-configure
+%{_sbindir}/munin-node-configure-snmp
 %attr(-, munin, munin) %dir /var/log/munin
 %dir %{_datadir}/munin
 %dir /etc/munin/plugins
@@ -223,6 +224,11 @@
 %doc %{_mandir}/man5/munin-node*
 
 %changelog
+* Sat Jun 24 2006 Herbert Straub <herbert@linuxhacker.at> - 1.2.4-9
+- Remove install-node-non-snmp
+- Remove rm of snmp plugins and config
+- Add Node Require: perl-Net-SNMP
+
 * Sat Apr 22 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.4-8
 - add patch to remove unneeded munin-nagios in cron.
 - add patch to remove buildhostname in munin.conf (fixes #188928)



Version-Release number of selected component (if applicable):


How reproducible:

The installed munin-node contains no snmp* plugins in /usr/share/munin/plugins.

Steps to Reproduce:
1. ls /usr/share/munin/plugins/snmp*
2.
3.
  
Actual results:
No Files

Expected results:


Additional info:
Comment 1 Herbert Straub 2006-06-25 09:47:36 EDT
Created attachment 131499 [details]
Enable snmp Plugins
Comment 2 Kevin Fenzi 2006-06-26 11:11:44 EDT
Thanks for the bug report. I meant to re-enable the SNMP plugins once the perl-
Net-SNMP module was accepted into extras, but it slipped down on my todo list.
 ;) 

I will try and push out an update in the next few days with SNMP re-enabled and 
also some other misc bugfixes I have here. 

Thanks for the bugreport!
Comment 3 Kevin Fenzi 2006-06-28 00:40:01 EDT
ok. The 1.2.4-9 release that was just checked in should have the SNMP plugins 
re-enabled. 

If you spot any problems with it, feel free to re-open this bug or file a new 
one. 

Thanks again for the report. 

Note You need to log in before you can comment on or make changes to this bug.